;; ESS Technology INF file.
;; Copyright (c) 1996, 1998. All rights Reserved.
;; Driver: Maestro-2E v4.05.00.0452
;; Date: 6:45pm December 21, 1998

[Version]
Signature="$Windows 95$"
Class=MEDIA
Provider=%PT%
LayoutFile=layout.inf

[ClassInstall]
AddReg=Class.AddReg

[DestinationDirs]
DefaultDestDir=11

[Manufacturer]
%MfgName%=AGOGODevices

[AGOGODevices]
%AGOGOXP.DeviceDesc%=   AGOGOXP_Device, AGOGO\Wave
%AGOGOSB.DeviceDesc%=   AGOGOSB_Device, AGOGO\SBP&FM
%AGOGO401WD.DeviceDesc%=AGOGO401WD_Device, AGOGO\MPU401
%AGOGO401W.DeviceDesc%= AGOGO401WD_Device, *PTA0002

;---------------------------------------------------------------;

[AGOGO\Wave.Det]
AddReg=PreCopySection

[AGOGOXP_Device]
AddReg=AGOGOXP.AddReg,CRL.AddReg

;---------------------------------------------------------------;

[AGOGOSB_Device]
AddReg=AGOGOSB_Device.AddReg

[AGOGOSB_Device.AddReg]
HKR,,Driver,,mstrsbp.vxd
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0

;---------------------------------------------------------------;

[AGOGO401WD_Device]
AddReg=AGOGO401_Device.AddReg

[AGOGO401_Device.AddReg]
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,0
HKR,,Driver,,mstr401.vxd
HKR,Drivers\midi,,,
HKR,Drivers\midi\MSTR401.drv,Driver,,MSTR401.drv
HKR,Drivers\midi\MSTR401.drv,External,1,01,00,00,00
HKR,Drivers\midi\MSTR401.drv,Description ,,%V_EXTERNAL%
HKR,Drivers,SubClasses,,"midi"

[AGOGOXP.AddReg]
HKR,,Driver,,es197x.vxd
HKR,,DevLoader,,mmdevldr.vxd
HKR,Drivers,MIGRATED,,
HKR,Drivers\midi,,,
HKR,Drivers\wave,,,
HKR,Drivers\mixer,,,
HKR,Drivers\aux,,,
HKLM,%KEY_IOC%\acm,,,
HKLM,%KEY_IOC%\Rec,,,
HKLM,%KEY_IOC%\MPlay,,,

HKLM,Software\Microsoft\Windows\CurrentVersion\Run,SystemTray,,SysTray.Exe
HKLM,%KEY_IOC%\Vol,,,

HKR,Drivers\wave\es197x.drv,Description,, %AGOGOXP.DeviceDesc%
HKR,Drivers\midi\es197x.drv,Description,, %AGOGOXP.DeviceDesc%
HKR,Drivers\aux\es197x.drv,Description,,  %AGOGOXP.DeviceDesc%
HKR,Drivers\mixer\es197x.drv,Description,,%AGOGOXP.DeviceDesc%

HKR,Drivers\wave\es197x.drv,Driver,,es197x.drv
HKR,Drivers\midi\es197x.drv,Driver,,es197x.drv
HKR,Drivers\mixer\es197x.drv,Driver,,es197x.drv
HKR,Drivers\aux\es197x.drv,Driver,,es197x.drv
HKR,Drivers,SubClasses,,"wave,midi,aux,mixer"
HKR,,EnumPropPages,,"es197x.drv,DrvEnumPropPages"

HKR,Config,Install,1,01,00
HKR,Config,TrueDOSSupport,1,01,00
HKR,Config,OffsetValue,1,80,03
HKR,Config,HwAcceleration,1,01,00
HKR,Config,Pcmout,1,00,00
HKR,Config,MaxChan,1,02,00
HKR,Config,IIS,1,01
HKR,Config,20dBControl,1,01
HKR,Config,Mic20dB,1,01,00,00,00

;
; default is no EnableMIC2; 2nd Mic of AC97; not docking Mic
;HKR,Config,EnableMIC2,1,01,00

; default is no SPDIF
HKR,Config,EnableSPDIF,1,00,00
; Enable SPDIF, remove the ";"
;HKR,Config,EnableSPDIF,1,01,00
;
HKR,Config,SPDIF,1,00,00
HKR,Config,PcSpkr,1,01
HKR,Config,A3DHook,1,01
HKR,Config,SoundLibSize,1,02,00
HKR,Config,UpdateAutoexec,1,00,00
HKR,Config,UpdateConfigSys,1,00,00
; default mute delay time is 3500 ms - 0DAC
HKR,Config,MuteDelayTime,1,AC,0D

; default is GPIO11 for SPDIF Out
; This option is exclusive with second codec reset
; To select GPIO3 SPDIF Out, uncomment the following line
;HKR,Config,SPDIF_GPIO3,1,01,00

; default IIS 6dB is enable; to disable it by comment out the next ";"
;HKR,Config,DisableIIS6dB,1,01,00

; Change the first 00 to 01 to enable secondary AC97 line out detection
; Disable secondary AC97 line out detection
HKR,Config,DetectDockingLineOut,1,00,00

; Change the first 00 to 01 to enable All-in All-out when docked
; Disable All-in All-out feature when docked
HKR,Config,EnableDockingAllinAllout,1,00,00

; Change the first 00 to 01 to enable ACPI D1 state power management base on
; D1 state supported or not in the "GeneralPower" flag
; Disable ACPI D1 state power management base on D1 state support or not in
; the "GeneralPower" flag
HKR,Config,EnableGeneralPower,1,01,00

; ACPI Audio Inactivity Time
HKR,ESSPowerSettings,ConservationIdleTime,1,05,00,00,00       ; 5 sec
HKR,ESSPowerSettings,PerformanceIdleTime,1,2C,01,00,00        ; 300 sec

; ACPI power state that the device will be placed in if the idle time out
; period expires. Right now only D1 is supported
HKR,ESSPowerSettings,IdleState,1,01,00,00,00

; ACPI power states which audio device are supported
;                                   D3 D2 D1 D0
HKR,ESSPowerSettings,GeneralPower,1,01,00,00,01

; ACPI Power state setting for each audio building block
;                              Gn,Cn,Mn,XX
HKR,ESSPowerSettings,PowerD0,1,00,00,00,00
HKR,ESSPowerSettings,PowerD1,1,01,01,01,00
HKR,ESSPowerSettings,PowerD2,1,02,02,02,00
HKR,ESSPowerSettings,PowerD3,1,03,03,03,00


; Customized VMAx support defaults - not support
; VMAx
HKR,Config,DisableVMAX,1,00,00,00,00
;

; Customized Volume defaults (AC97)
; Playback
HKR,Config,LeftMasterVol,1,a0,a0,00,00
HKR,Config,RightMasterVol,1,a0,a0,00,00
HKR,Config,MicMute,1,01,00,00,00
HKR,Config,LeftSynthVol,1,a0,a0,00,00
HKR,Config,RightSynthVol,1,a0,a0,00,00
HKR,Config,LeftDACVol,1,a0,a0,00,00
HKR,Config,RightDACVol,1,a0,a0,00,00
HKR,Config,LeftLineInVol,1,a0,a0,00,00
HKR,Config,RightLineInVol,1,a0,a0,00,00
HKR,Config,LeftMicVol,1,a0,a0,00,00
HKR,Config,RightMicVol,1,a0,a0,00,00
HKR,Config,LeftAux1Vol,1,a0,a0,00,00
HKR,Config,RightAux1Vol,1,a0,a0,00,00
HKR,Config,LeftAux2Vol,1,a0,a0,00,00
HKR,Config,RightAux2Vol,1,a0,a0,00,00
HKR,Config,LeftCDVol,1,a0,a0,00,00
HKR,Config,RightCDVol,1,a0,a0,00,00
HKR,Config,MonoInVol,1,a0,a0,00,00
HKR,Config,MonoOutVol,1,a0,a0,00,00
HKR,Config,LeftPcSpkrVol,1,a0,a0,00,00
HKR,Config,RightPcSpkrVol,1,a0,a0,00,00
HKR,Config,IISMute,1,01,00,00,00

; Record
HKR,Config,LeftWaveADCMicVol,1,d6,d6,00,00
HKR,Config,RightWaveADCMicVol,1,d6,d6,00,00
HKR,Config,LeftWaveADCLineVol,1,65,65,00,00
HKR,Config,RightWaveADCLineVol,1,65,65,00,00
HKR,Config,LeftWaveADCCDVol,1,65,65,00,00
HKR,Config,RightWaveADCCDVol,1,65,65,00,00
HKR,Config,LeftWaveADCAux1Vol,1,65,65,00,00
HKR,Config,RightWaveADCAux1Vol,1,65,65,00,00
HKR,Config,LeftWaveADCMixerVol,1,65,65,00,00
HKR,Config,RightWaveADCMixerVol,1,65,65,00,00
HKR,Config,LeftWaveADCAuxBVol,1,65,65,00,00
HKR,Config,RightWaveADCAuxBVol,1,65,65,00,00
HKR,Config,LeftWaveADCAuxCVol,1,65,65,00,00
HKR,Config,RightWaveADCAuxCVol,1,65,65,00,00
HKR,Config,WaveADCMonoIn,1,65,65,00,00
HKR,Config,WaveADCMonoMix,1,65,65,00,00

; Customized Mixer Source Label Name
; Volume Control
HKR,Config,Source0Long,,  "Onda"         		; Wave Volume Long Name
HKR,Config,Source0Short,, "Onda"         		; Wave Volume Short Name
HKR,Config,Source1Long,,  "Sint."        		; Synthesis Volume Long Name
HKR,Config,Source1Short,, "Sint."        		; Synthesis Volume Short Name
HKR,Config,Source2Long,,  "Entrada de lnea"         	; Line In Volume Long Name
HKR,Config,Source2Short,, "Entrada de lnea"         	; Line In Volume Short Name
HKR,Config,Source3Long,,  "CD"           		; CD Volume Long Name
HKR,Config,Source3Short,, "CD"           		; CD Volume Short Name
HKR,Config,Source4Long,,  "Aux."          		; Aux Volume Long Name
HKR,Config,Source4Short,, "Aux."          		; Aux Volume Short Name
HKR,Config,Source5Long,,  "Vdeo"        		; Video Volume Long Name
HKR,Config,Source5Short,, "Vdeo"        		; Video Volume Short Name
HKR,Config,Source6Long,,  "Mic."          		; Mic Volume Long Name
HKR,Config,Source6Short,, "Mic."          		; Mic Volume Short Name
HKR,Config,Source7Long,,  "Entrada de telf."     	; Phone Volume Long Name
HKR,Config,Source7Short,, "Entrada de telf."     	; Phone Volume Short Name
HKR,Config,Source8Long,,  "Altvz. PC"      		; PC Speaker Volume Long Name
HKR,Config,Source8Short,, "Altvz. PC"      		; PC Speaker Volume Short Name
HKR,Config,Source9Long,,  "Mezclador"        		; Mixer Volume Long Name
HKR,Config,Source9Short,, "Mezclador"        		; Mixer Volume Short Name

; Effects Control
HKR,Config,Source10Long,,  "Nivel de reverberacin" 	; Reverb Level Volume Long Name
HKR,Config,Source10Short,, "Reverb. "       		; Reverb Level Volume Short Name
HKR,Config,Source11Long,, "Nivel de Chorus"  		; Chorus Level Volume Long Name
HKR,Config,Source11Short,,"Chorus"        		; Chorus Level Volume Short Name

; Reverb Control
HKR,Config,Source12Long,, "Profundidad"        		; Depth Volume Long Name
HKR,Config,Source12Short,,"Profundidad"        		; Depth Volume Short Name
HKR,Config,Source13Long,, "Demora"        		; Delay Volume Long Name
HKR,Config,Source13Short,,"Demora"        		; Delay Volume Shot Name

; Chorus Control
HKR,Config,Source14Long,, "Retroalimentacin"     	; Chorus Volume Long Name
HKR,Config,Source14Short,,"Retroalimentacin"     	; Chorus Volume Short Name
HKR,Config,Source15Long,, "Frecuencia"    		; Frequency Volume Long Name
HKR,Config,Source15Short,,"Frecuencia"    		; Frequency Volume Short Name
HKR,Config,Source16Long,, "Profundidad"        		; Depth Volume Long Name
HKR,Config,Source16Short,,"Profundidad"        		; Depth Volume Short Name

; Surround Control
HKR,Config,Source17Long,, "Frente"        		; Front Channel Volume Long Name
HKR,Config,Source17Short,,"Frente"        		; Front Channel Volume Short Name
HKR,Config,Source18Long,, "Envolvente"     		; Rear Channel Volume Long Name
HKR,Config,Source18Short,,"Envolvente"     		; Rear Channel Volume Short Name
HKR,Config,Source19Long,, "Centro"       		; Center Channel Volume Long Name
HKR,Config,Source19Short,,"Centro"       		; Center Channel Volume Short Name
HKR,Config,Source20Long,, "Reprod. tonos muy bajos"    	; SubWoof Channel Volume Long Name
HKR,Config,Source20Short,,"Reprod. tonos muy bajos"    	; SubWoof Channel Volume Short Name

; Effects Control
HKR,Config,Source21Long,, "Separador 3D"   		; 3D Spreader Volume Long Name
HKR,Config,Source21Short,,"Separador 3D"   		; 3D Spreader Volume Short Name

; MonoOut Control
HKR,Config,Source22Long,, "Mezclador monof."    	; Mono Mixer Volume Long Name
HKR,Config,Source22Short,,"Mezclador monof."    	; Mono Mixer Volume Short Name

; Effects Control
HKR,Config,Source23Long,, "Nivel de tonos altos" 	; Treble Volume Long Name
HKR,Config,Source23Short,,"Tonos altos"       		; Treble Volume Short Name
HKR,Config,Source24Long,, "Nivel de tonos bajos"   	; Bass Volume Long Name
HKR,Config,Source24Short,,"Tonos bajos"         	; Bass Volume Short Name

; IIS
HKR,Config,Source25Long,, "DVD"          		; Bass Volume Short Name
HKR,Config,Source25Short,,"DVD"          		; Bass Volume Short Name

; Reserved
HKR,Config,Source26Long,, ""             		;
HKR,Config,Source26Short,,""             		;

;
; AC2 Sources (Docking CODEC)
;
HKR,Config,Source27Long,, "Entrada de lnea 2"       	; Docking Line Volume Long Name
HKR,Config,Source27Short,,"Entrada de lnea 2"       	; Docking Line Volume Short Name
HKR,Config,Source28Long,, "CD 2"         		; Docking CD Volume Long Name
HKR,Config,Source28Short,,"CD 2"         		; Docking CD Volume Short Name
HKR,Config,Source29Long,, "Aux 2"        		; Docking Aux Volume Long Name
HKR,Config,Source29Short,,"Aux 2"        		; Docking Aux Volume Short Name
HKR,Config,Source30Long,, "Vdeo 2"      		; Docking Video Volume Long Name
HKR,Config,Source30Short,,"Vdeo 2"      		; Docking Video Volume Short Name
HKR,Config,Source31Long,, "Mic. 2"        		; Docking Mic Volume Long Name
HKR,Config,Source31Short,,"Mic. 2"        		; Docking Mic Volume Short Name
HKR,Config,Source32Long,, "Telfono 2"      		; Docking Phone Volume Long Name
HKR,Config,Source32Short,,"Telfono 2"      		; Docking Phone Volume Short Name
HKR,Config,Source33Long,, "Altvz PC 2"     		; Docking PC Spkr Volume Long Name
HKR,Config,Source33Short,,"Altvz PC 2"     		; Docking PC Spkr Volume Short Name
HKR,Config,Source34Long,, "Audio del sistema"     	; Docking NB Audio Volume Long Name
HKR,Config,Source34Short,,"Audio del sistema"     	; Docking NB Audio Volume Short Name
HKR,Config,Source35Long,, "DVD 2"        		; Docking IIS Volume Long Name
HKR,Config,Source35Short,,"DVD 2"        		; Docking IIS Volume Short Name
HKR,Config,Source36Long,, "Mezclador"        		; Docking Mixer Volume Long Name
HKR,Config,Source36Short,,"Mezclador"        		; Docking Mixer Volume Short Name
HKR,Config,Source37Long,, "Mezclador monof. 2"    	; Docking MonoMix Volume Long Name
HKR,Config,Source37Short,,"Mezclador monof. 2"    	; Docking MonoMix Volume Short Name

HKR,Config,Dest0Long,, "Volume Control"
HKR,Config,Dest0Short,,"Vol"
HKR,Config,Dest1Long,, "Control de grabacin"
HKR,Config,Dest1Short,,"Grabar"
HKR,Config,Dest2Long,, "Salida monofnica"
HKR,Config,Dest2Short,,"Salida monofnica"
HKR,Config,Dest3Long,, "Control de efectos"
HKR,Config,Dest3Short,,"Effects"
HKR,Config,Dest4Long,, "Controles de reverberacin"
HKR,Config,Dest4Short,,"Reverb. "
HKR,Config,Dest5Long,, "Controles de Chorus"
HKR,Config,Dest5Short,,"Chorus"
HKR,Config,Dest6Long,, "Comandos de voz"
HKR,Config,Dest6Short,,"Voz"
HKR,Config,Dest7Long,, "Envolvente"
HKR,Config,Dest7Short,,"Envolvente"


;
; ** L O C A L I Z A T I O N **
;
HKR,Config,WaveOutDesc,, "Playback"                     			; Maestro Playback
HKR,Config,WaveInDesc,,  "Record"                       			; Maestro Record
HKR,Config,MixerDesc,,   "Mezclador"                    			; Maestro Mixer
HKR,Config,MIDIDesc,,    "WaveSynth"                    			; Maestro WaveSynth
HKR,Config,LineDesc,,    "Line"                         			; Maestro Line
HKR,Config,CDDesc,,      "CD Audio"                     			; Maestro CD Audio
HKR,Config,DSDriver,,    "Controlador de Maestro DirectSound"  			; Maestro Direct Sound Driver

HKR,Config,AudioPageTitle,,          "Ajustes de audio"       	; Title for Device Manager Tab
HKR,Config,AudioPageSLibGroupTitle,, "Tamao de la biblioteca de sonido" 	; Group Box Title
HKR,Config,AudioPage2MB,,            "Memoria del sistema de 2MB"   		; 2MB System Memory
HKR,Config,AudioPage4MB,,            "Memoria del sistema de 4MB"   		; 4MB System Memory
HKR,Config,AudioPageAdvcGroup,,      "Ajuste avanzado"   			; Advanced Setting Title
HKR,Config,AudioPageDsblDSAccel,,    "Habilitar aceleracin del hardware DirectSound"
HKR,Config,AudioPagePowerGroup,,     " Power Management Setting "
; Modified by Toshiba (Date: Nov. 21, 1998)
HKR,Config,AudioPageEnblPower,,      " Enable Power Management"
; Modified by Toshiba (Date: Nov. 21, 1998)
HKR,Config,AudioPagePowerStateD11,,  " Power Save Mode Level-1"
; Modified by Toshiba (Date: Nov. 21, 1998)
HKR,Config,AudioPagePowerStateD12,,  " Power Save Mode Level-2"

HKR,Config,DockPageTitle,,             "Ajustes del sistema de anclaje"      	; Title for Device Manager Tab
HKR,Config,DockPageConnectGroupTitle,, "Estado de conexin" ; Group Box Title
HKR,Config,DockPageSystemSpeaker,,     "Salida de audio al altavoz del ordenador porttil "
HKR,Config,DockPageDockSpeaker,,       "Salida de audio al altavoz de la estacin de anclaje"


;
; **  D O C K   P A G E  **
;
; For Audio output control when docked
;
; "01" - to enable extra Dock Settings page in Device Manager tab for
;        controlling audio output to System or Dock speakers.
; "00" - to disable page (Default)
;
HKR,Config,EnableDockPage,1,01

;
; ** START MIXER CUSTOMIZATION for NORMAL/DOCK/UNDOCK States **
;
; Values are Double Word based in reversed format,
; (eg. "03,02,01,00" is really 00010203 Hex)
;
; Bit 0 is for Dock             (1 = Enable Control, 0 otherwise)
; Bit 1 is for UnDock           (1 = Enable Control, 0 otherwise)
;
; Destination (Speaker, Headphone, etc.)
HKR,Config,SystemCODEC,1,03,00,00,00            ; Undocked=YES, Docked=YES
HKR,Config,DockCODEC,1,01,00,00,00              ; Undocked=NO, Docked=YES
HKR,Config,SystemMonoOut,1,02,00,00,00          ; Undocked=YES, Docked=NO
HKR,Config,DockMonoOut,1,01,00,00,00            ; Undocked=NO, Docked=YES
HKR,Config,SystemMic20DB,1,03,00,00,00          ; Undocked=YES, Docked=YES
HKR,Config,DockMic20DB,1,01,00,00,00            ; Undocked=NO, Docked=YES

; System CODEC Source Map Output (CD, LINE, AUX, etc.)
HKR,Config,SystemCD_Out,1,03,00,00,00           ; Undocked=YES, Docked=YES
HKR,Config,SystemLINE_Out,1,03,00,00,00         ; Undocked=YES, Docked=YES
HKR,Config,SystemAUX_Out,1,00,00,00,00          ; Undocked=NO, Docked=NO
HKR,Config,SystemVIDEO_Out,1,00,00,00,00        ; Undocked=YES, Docked=YES
HKR,Config,SystemMIC_Out,1,03,00,00,00          ; Undocked=YES, Docked=YES
HKR,Config,SystemPHONE_Out,1,00,00,00,00        ; Undocked=YES, Docked=YES
HKR,Config,SystemPCBEEP_Out,1,00,00,00,00       ; Undocked=YES, Docked=YES

; System CODEC Source Map Input (CD, LINE, AUX, etc.)
HKR,Config,SystemCD_In,1,03,00,00,00            ; Undocked=YES, Docked=YES
HKR,Config,SystemLINE_In,1,03,00,00,00          ; Undocked=YES, Docked=YES
HKR,Config,SystemAUX_In,1,03,00,00,00           ; Undocked=YES, Docked=YES
HKR,Config,SystemVIDEO_In,1,03,00,00,00         ; Undocked=YES, Docked=YES
HKR,Config,SystemMIC_In,1,03,00,00,00           ; Undocked=YES, Docked=YES
HKR,Config,SystemPHONE_In,1,02,00,00,00         ; Undocked=YES, Docked=NO
HKR,Config,SystemMIXER_In,1,03,00,00,00         ; Undocked=YES, Docked=YES

; Docking CODEC Source Map Output (CD, LINE, AUX, etc.)
HKR,Config,DockCD_Out,1,01,00,00,00             ; Undocked=NO, Docked=YES
HKR,Config,DockLINE_Out,1,01,00,00,00           ; Undocked=NO, Docked=YES
HKR,Config,DockAUX_Out,1,00,00,00,00            ; Undocked=NO, Docked=NO
HKR,Config,DockVIDEO_Out,1,00,00,00,00          ; Undocked=NO, Docked=NO
HKR,Config,DockMIC_Out,1,01,00,00,00            ; Undocked=NO, Docked=YES
HKR,Config,DockPHONE_Out,1,00,00,00,00          ; Undocked=NO, Docked=NO
HKR,Config,DockPCBEEP_Out,1,00,00,00,00         ; Undocked=NO, Docked=NO

; The following 2 outputs are for ES978 docking only
; For AC97 docking, either comment out or disable the following 2 outputs
HKR,Config,DockHOSTIN_Out,1,01,00,00,00         ; Undocked=NO, Docked=YES
HKR,Config,DockIIS_Out,1,01,00,00,00            ; Undocked=NO, Docked=YES

; Docking CODEC Source Map Input (CD, LINE, AUX, etc.)
HKR,Config,DockCD_In,1,01,00,00,00              ; Undocked=NO, Docked=YES
HKR,Config,DockLINE_In,1,01,00,00,00            ; Undocked=NO, Docked=YES
HKR,Config,DockAUX_In,1,00,00,00,00             ; Undocked=NO, Docked=NO
HKR,Config,DockVIDEO_In,1,00,00,00,00           ; Undocked=NO, Docked=NO
HKR,Config,DockMIC_In,1,01,00,00,00             ; Undocked=NO, Docked=YES
HKR,Config,DockPHONE_In,1,00,00,00,00           ; Undocked=NO, Docked=NO
HKR,Config,DockMIXER_In,1,01,00,00,00           ; Undocked=NO, Docked=YES

;
; ** END DOCKING CUSTOMIZATION **
;

[CRL.AddReg]
; CRL P3D stuff
HKLM,%KEY_C3D%,Is3DUsed,1,00,00,00,00
HKCR,Audio3D,,0,Audio3DObject
HKCR,Audio3D\CLSID,,0,%Audio3D_CLSID%
HKCR,CLSID\%Audio3D_CLSID%,,0,Audio3DObject
HKCR,CLSID\%Audio3D_CLSID%\InProcServer32,,0,Audio3D.dll
HKCR,CLSID\%Audio3D_CLSID%\InProcServer32,ThreadingModel,0,Apartment
HKR,Config,P3D,, "C3D"    ; select CRL P3D



;---------------------------------------------------------------;

[PreCopySection]
HKR,,NoSetupUI,0,1

[Class.AddReg]
HKR,,,0,%MediaClassName%
HKR,,Icon,0,-1
HKR,,Installer,0,mmci.dll

[Drivers.fields]
system.ini,boot,drivers,msmixmgr.dll
system.ini,boot,drivers,mmmixer.dll


;---------------------------------------------------------------;

[Strings]
PT="ESS Technology, Inc."
MfgName="ESS Technology, Inc."
AGOGOXP.DeviceDesc="Maestro Wave / WaveTable Synthesis Devices"
AGOGOSB.DeviceDesc="Maestro DOS Games/FM Devices"
AGOGO401WD.DeviceDesc="Maestro MPU401 Devices"
AGOGO401W.DeviceDesc="Maestro MPU401 Devices"

KEY_IOC="SYSTEM\CurrentControlSet\Control\MediaResources\InstallOptionalComponents"
KEY_FIL="SYSTEM\CurrentControlSet\Control\MediaResources\FilterList"
KEY_Q3D="SYSTEM\CurrentControlSet\Services\Class\Q3D"
KEY_CLSID1="{d8f1eee0-f634-11cf-8700-00a0245d918b}"
KEY_CLSID2="CLSID\{d8f1eee0-f634-11cf-8700-00a0245d918b}"
KEY_CLSID3="CLSID\{d8f1eee0-f634-11cf-8700-00a0245d918b}\InprocServer32"

KEY_C3D="SYSTEM\CurrentControlSet\Services\Class\Sensaura3D"
Audio3D_CLSID="{D8F1EEE0-F634-11CF-8700-00A0245D918B}"

V_EXTERNAL="Maestro External MIDI Port"
V_INTERNAL="Maestro FM Synthesis"

MediaClassName="Sound, video and game controllers"
